/* Gestione del Volume */                 
#include <unistd.h>
#include "jac_lang.h"
#include "mixer.h"

int mix_open(char *dev)
{
	int mix_fd;

	/* No Mixer available, skip */
	if (strcmp(dev,"NO")==0)
		return 0;

	if ((mix_fd = open(dev, O_RDWR)) < 0) {
		fprintf(stderr,APRENDO,dev);
		mix_fd=0;
	}
	return mix_fd;
}

void mix_close(int mix_fd)
{
	if (mix_fd!=0)
		close(mix_fd);
}

int mix_read (int mix_fd) 
{
	int lval;
	if (mix_fd==0)
		return 0;

	if ( -1 == ioctl(mix_fd, MIXER_READ(0), &lval)) {
		fprintf(stderr,ERRRMIX);
		exit(1);
	}
	return (lval & 0x7f);
	
}

int mix_write (int mix_fd, int val)
{
	int lval;

	if (mix_fd==0)
		return 0;

	lval = val;
	lval |= (val << 8 );
	
	if (-1 == ioctl(mix_fd, MIXER_WRITE(0), &lval) ) {
			fprintf(stderr,ERRWMIX);
			exit(1);
	}
	return val;
}

